/**
 * 初始化channelplan详情对话框
 */
var ChannelplanEnterpriseIncomeInfoDlg = {
    channelplanEnterpriseIncomeInfoData : {}
};

/**
 * 清除数据
 */
ChannelplanEnterpriseIncomeInfoDlg.clearData = function() {
    this.channelplanEnterpriseIncomeInfoData = {};
}

/**
 * 设置对话框中的数据
 *
 * @param key 数据的名称
 * @param val 数据的具体值
 */
ChannelplanEnterpriseIncomeInfoDlg.set = function(key, val) {
    this.channelplanEnterpriseIncomeInfoData[key] = (typeof val == "undefined") ? $("#" + key).val() : val;
    return this;
}

/**
 * 设置对话框中的数据
 *
 * @param key 数据的名称
 * @param val 数据的具体值
 */
ChannelplanEnterpriseIncomeInfoDlg.get = function(key) {
    return $("#" + key).val();
}

/**
 * 关闭此对话框
 */
ChannelplanEnterpriseIncomeInfoDlg.close = function() {
    parent.layer.close(window.parent.ChannelplanEnterpriseIncome.layerIndex);
}

/**
 * 收集数据
 */
ChannelplanEnterpriseIncomeInfoDlg.collectData = function() {
    this
    .set('id')
    .set('cpid')
    .set('year')
    .set('researchIn')
    .set('coreProduct')
    .set('proportion')
    .set('addTax')
    .set('incomeTax')
    .set('description')
    .set('createTime')
    .set('createUser')
    .set('updateTime')
    .set('updateUser');
}

/**
 * 提交添加
 */
ChannelplanEnterpriseIncomeInfoDlg.addSubmit = function() {

    this.clearData();
    this.collectData();

    //提交信息
    var ajax = new $ax(Feng.ctxPath + "/channelplanEnterpriseIncome/add", function(data){
        Feng.success("添加成功!");
        window.parent.ChannelplanEnterpriseIncome.table.refresh();
        ChannelplanEnterpriseIncomeInfoDlg.close();
    },function(data){
        Feng.error("添加失败!" + data.responseJSON.message + "!");
    });
    ajax.set(this.channelplanEnterpriseIncomeInfoData);
    ajax.start();
}

/**
 * 提交修改
 */
ChannelplanEnterpriseIncomeInfoDlg.editSubmit = function() {

    this.clearData();
    this.collectData();

    //提交信息
    var ajax = new $ax(Feng.ctxPath + "/channelplanEnterpriseIncome/update", function(data){
        Feng.success("修改成功!");
        window.parent.ChannelplanEnterpriseIncome.table.refresh();
        ChannelplanEnterpriseIncomeInfoDlg.close();
    },function(data){
        Feng.error("修改失败!" + data.responseJSON.message + "!");
    });
    ajax.set(this.channelplanEnterpriseIncomeInfoData);
    ajax.start();
}

$(function() {

});
